diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java
index 13a137f39..1d414416e 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java
@@ -31,6 +31,7 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ISelectable;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * @author n.hoffmann
@@ -66,7 +67,7 @@ public class PolytomousKeyListItem extends AbstractCdmFormElement implements
 
 		Label label_statement = new Label(getLayoutComposite(), SWT.NULL);
 		label_statement.setText(getItemStatement());
-		label_statement.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		label_statement.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 
 		Link link = new Link(getLayoutComposite(), SWT.NONE);
 		link.setText("<a>" + getItemLink() + "</a>");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermEditor.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermEditor.java
index 97762bf38..31a3165ba 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermEditor.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermEditor.java
@@ -47,7 +47,7 @@ import eu.etaxonomy.taxeditor.editor.definedterm.input.AbstractDefinedTermEditor
 import eu.etaxonomy.taxeditor.model.IDirtyMarkableSelectionProvider;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * @author l.morris
@@ -87,7 +87,7 @@ public class DefinedTermEditor extends EditorPart implements IConversationEnable
 			
 			parent.setLayout(layout);
 			viewer = new TreeViewer(parent);
-			viewer.getControl().setLayoutData(CdmFormFactory.FILL());
+			viewer.getControl().setLayoutData(LayoutConstants.FILL());
 			viewer.setContentProvider(new TermContentProvider());
 			viewer.setLabelProvider(new TermLabelProvider());
 			viewer.setSorter(new ViewerSorter());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/input/NamedAreaEditorInput.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/input/NamedAreaEditorInput.java
index 5ce6ae394..2b9a52933 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/input/NamedAreaEditorInput.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/input/NamedAreaEditorInput.java
@@ -12,9 +12,6 @@ package eu.etaxonomy.taxeditor.editor.definedterm.input;
 import java.util.Arrays;
 import java.util.List;
 
-import org.eclipse.ui.IEditorInput;
-
-import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.location.Continent;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.TdwgArea;
@@ -57,7 +54,4 @@ public class NamedAreaEditorInput extends AbstractDefinedTermEditorInput<NamedAr
 	public NamedArea createTermInstance() {
 		 return NamedArea.NewInstance();
 	}
-	
-		
-
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java
index ae38d15c9..1348b2a67 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java
@@ -34,6 +34,7 @@ import eu.etaxonomy.cdm.ext.ipni.IpniService;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * <p>ExternalReferenceServiceWizardPage class.</p>
@@ -79,19 +80,19 @@ public class ExternalReferenceServiceWizardPage extends WizardPage implements Se
 	public void createControl(Composite parent) {
 		control = formFactory.createComposite(parent);
 		
-		control.setLayout(CdmFormFactory.LAYOUT(2, false));
+		control.setLayout(LayoutConstants.LAYOUT(2, false));
 		
 		text_query = new Text(control, SWT.SINGLE | SWT.BORDER);
-		text_query.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		text_query.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 		
 		button_search = new Button(control, SWT.PUSH);
-		button_search.setLayoutData(CdmFormFactory.RIGHT());
+		button_search.setLayoutData(LayoutConstants.RIGHT());
 		button_search.setText("Search");
 		
 		button_search.addSelectionListener(this);
 		
 		viewer = new ListViewer(control);
-		viewer.getControl().setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2,1));
+		viewer.getControl().setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2,1));
 		
 		viewer.setContentProvider(new IStructuredContentProvider(){
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/EnumComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/EnumComboElement.java
index 913ec484c..addb64ae5 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/EnumComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/EnumComboElement.java
@@ -33,6 +33,7 @@ import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.IEnableableFormElement;
 import eu.etaxonomy.taxeditor.ui.element.ISelectable;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * <p>
@@ -123,7 +124,7 @@ public class EnumComboElement<T extends IDefinedTerm> extends
 		// create combo
 		combo = new Combo(getLayoutComposite(), SWT.BORDER | SWT.READ_ONLY);
 		addControl(combo);
-		combo.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		combo.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 		setVisibleItemCount(DEFAULT_VISIBLE_ITEMS);
 
 		populateTypes();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermComboElement.java
index 9f59f9668..c19921f36 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermComboElement.java
@@ -31,6 +31,7 @@ import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.IEnableableFormElement;
 import eu.etaxonomy.taxeditor.ui.element.ISelectable;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * <p>
@@ -100,7 +101,7 @@ public class TermComboElement<T extends DefinedTermBase>
 		// create combo
 		combo = new Combo(getLayoutComposite(), SWT.BORDER | SWT.READ_ONLY);
 		addControl(combo);
-		combo.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		combo.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 		combo.setVisibleItemCount(DEFAULT_VISIBLE_ITEMS);
 
 		populateTerms(getPreferredTerms());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/ClassificationSelectionDialog.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/ClassificationSelectionDialog.java
index 1b102a402..46cdcaa5e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/ClassificationSelectionDialog.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/ClassificationSelectionDialog.java
@@ -44,10 +44,11 @@ public class ClassificationSelectionDialog extends
 	 * @param conversation
 	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
 	 *            object.
+	 * @param curentSelection 
 	 * @return a {@link eu.etaxonomy.cdm.model.taxon.TaxonomicTree} object.
 	 */
 	public static Classification select(Shell shell,
-			ConversationHolder conversation) {
+			ConversationHolder conversation, Classification curentSelection) {
 		ClassificationSelectionDialog dialog = new ClassificationSelectionDialog(
 				shell, conversation, "Choose a Classification", false, "", null);
 		return getSelectionFromDialog(dialog);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/SelectionDialogFactory.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/SelectionDialogFactory.java
new file mode 100644
index 000000000..2cab21215
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/SelectionDialogFactory.java
@@ -0,0 +1,117 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.ui.dialog.selection;
+
+import org.eclipse.swt.widgets.Shell;
+
+import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
+import eu.etaxonomy.cdm.model.agent.AgentBase;
+import eu.etaxonomy.cdm.model.agent.Institution;
+import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.cdm.model.common.Group;
+import eu.etaxonomy.cdm.model.common.ICdmBase;
+import eu.etaxonomy.cdm.model.common.User;
+import eu.etaxonomy.cdm.model.description.Feature;
+import eu.etaxonomy.cdm.model.description.FeatureTree;
+import eu.etaxonomy.cdm.model.description.PolytomousKey;
+import eu.etaxonomy.cdm.model.description.PolytomousKeyNode;
+import eu.etaxonomy.cdm.model.location.NamedArea;
+import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.occurrence.Collection;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.reference.Reference;
+import eu.etaxonomy.cdm.model.taxon.Classification;
+import eu.etaxonomy.cdm.model.taxon.Synonym;
+import eu.etaxonomy.cdm.model.taxon.Taxon;
+import eu.etaxonomy.cdm.model.taxon.TaxonBase;
+import eu.etaxonomy.cdm.model.taxon.TaxonNode;
+import eu.etaxonomy.taxeditor.store.StoreUtil;
+
+/**
+ * @author n.hoffmann
+ * @date Jan 25, 2012
+ *
+ */
+public class SelectionDialogFactory {
+
+	public static <T extends ICdmBase> T getSelectionFromDialog(Class<T> clazz, Shell shell, ConversationHolder conversation, T curentSelection){
+		
+		if(clazz.equals(Taxon.class)){
+			return (T) TaxonBaseSelectionDialog.selectTaxon(shell, conversation, (Taxon) curentSelection);
+		}
+		if(clazz.equals(Synonym.class)){
+			return (T) TaxonBaseSelectionDialog.selectSynonym(shell, conversation);
+		}
+		if(clazz.equals(TaxonBase.class)){
+			return (T) TaxonBaseSelectionDialog.selectTaxonBase(shell, conversation);
+		}
+		if(clazz.equals(Classification.class)){
+			return (T) ClassificationSelectionDialog.select(shell, conversation, (Classification) curentSelection);
+		}
+		if(clazz.equals(TaxonNode.class)){
+			return (T) TaxonNodeSelectionDialog.select(shell, conversation, null, null, (TaxonNode) curentSelection, null);
+		}
+		if(clazz.equals(Reference.class)){
+			return (T) ReferenceSelectionDialog.select(shell, conversation, (Reference) curentSelection);
+		}
+		if(clazz.equals(TaxonNameBase.class)){
+			return (T) NameSelectionDialog.select(shell, conversation, (TaxonNameBase) curentSelection);
+		}
+		if(clazz.equals(Team.class)){
+			return (T) TeamSelectionDialog.select(shell, conversation, (Team) curentSelection);
+		}
+		if(clazz.equals(AgentBase.class)){
+			return (T) AgentSelectionDialog.select(shell, conversation, (AgentBase) curentSelection);
+		}
+		if(clazz.equals(Feature.class)){
+			return (T) FeatureSelectionDialog.select(shell, conversation, (Feature) curentSelection);
+		}
+		if(clazz.equals(FeatureTree.class)){
+			return (T) FeatureTreeSelectionDialog.select(shell, conversation, (FeatureTree) curentSelection);
+		}
+		if(clazz.equals(PolytomousKey.class)){
+			return (T) PolytomousKeySelectionDialog.select(shell, conversation, (PolytomousKey) curentSelection);
+		}
+		if(clazz.equals(PolytomousKeyNode.class)){
+			StoreUtil.warningDialog("Not implemented yet", SelectionDialogFactory.class,
+					"This functionality is not implemented yet.");
+			return null;
+		}
+		if(clazz.equals(DerivedUnitBase.class)){
+			return (T) DerivedUnitSelectionDialog.select(shell, conversation, (DerivedUnitBase) curentSelection);
+		}
+		if(clazz.equals(FieldObservation.class)){
+			return (T) FieldObservationSelectionDialog.select(shell, conversation, (FieldObservation) curentSelection);
+		}
+		if(clazz.equals(NamedArea.class)){
+			return (T) NamedAreaSelectionDialog.select(shell, conversation, (NamedArea) curentSelection);
+		}
+		if(clazz.equals(Collection.class)){
+			return (T) CollectionSelectionDialog.select(shell, conversation, (Collection) curentSelection);
+		}
+		if(clazz.equals(User.class)){
+			return (T) UserSelectionDialog.select(shell, conversation, (User) curentSelection);
+		}
+		if (clazz.equals(Person.class)){
+			return (T) PersonSelectionDialog.select(shell, conversation, (Person) curentSelection);
+		}
+		if(clazz.equals(Group.class)){
+			return (T) GroupSelectionDialog.select(shell, conversation, (Group) curentSelection);
+		}
+		if(clazz.equals(Institution.class)){
+			return (T) InstitutionSelectionDialog.select(shell, conversation, (Institution) curentSelection);
+		}
+				
+		return null;
+	}
+	
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java
index 6c4044bc3..e2e864bce 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java
@@ -58,10 +58,7 @@ public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelecti
 
 	private List<Classification> classifications;
 	
-	private Classification selectedClassification;
-
-	private final Classification defaultClassification;
-	
+	private Classification selectedClassification;	
 
 	/**
 	 * <p>Constructor for FilteredTaxonNodeSelectionDialog.</p>
@@ -84,7 +81,6 @@ public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelecti
 		if(classification != null){
 			selectedClassification = classification;
 		}
-		defaultClassification = classification;
 	}
 
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractCdmEntityWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractCdmEntityWizardPage.java
index 97dfe1a89..e04928fa8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractCdmEntityWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractCdmEntityWizardPage.java
@@ -91,12 +91,12 @@ public abstract class AbstractCdmEntityWizardPage<T> extends WizardPage
 	@Override
 	public void createControl(Composite parent) {
 		ScrolledForm scrolledForm = formFactory.createScrolledForm(parent);
-		scrolledForm.getBody().setLayout(CdmFormFactory.LAYOUT());
+		scrolledForm.getBody().setLayout(LayoutConstants.LAYOUT());
 
 		Composite control = formFactory.createComposite(scrolledForm.getBody());
-		control.setLayoutData(CdmFormFactory.FILL());
+		control.setLayoutData(LayoutConstants.FILL());
 
-		control.setLayout(CdmFormFactory.LAYOUT(2, false));
+		control.setLayout(LayoutConstants.LAYOUT(2, false));
 		WizardPageRootElement rootElement = new WizardPageRootElement(
 				formFactory, control, getConversationHolder());
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractFormSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractFormSection.java
index 783fa2407..b245498e9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractFormSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/AbstractFormSection.java
@@ -89,12 +89,12 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements
 
 		this.formFactory = formFactory;
 
-		this.setLayoutData(CdmFormFactory.FILL());
+		this.setLayoutData(LayoutConstants.FILL());
 
 		Composite client = formFactory.createComposite(this, SWT.WRAP);
 		client.setBackgroundMode(SWT.INHERIT_DEFAULT);
 
-		TableWrapLayout layout = CdmFormFactory.LAYOUT();
+		TableWrapLayout layout = LayoutConstants.LAYOUT();
 		layout.bottomMargin = 10;
 		layout.rightMargin = 5;
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java
index 0d5ec5ab3..3664ed528 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java
@@ -40,7 +40,7 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 		browser = new Browser(getLayoutComposite(), SWT.NONE);
 		addControl(browser);
 		
-		getLayoutComposite().setLayoutData(CdmFormFactory.FILL());
+		getLayoutComposite().setLayoutData(LayoutConstants.FILL());
 		
 
 		layoutBrowser();
@@ -55,7 +55,7 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 	 * 
 	 */
 	private void layoutBrowser() {
-		TableWrapData layoutData = CdmFormFactory.FILL();
+		TableWrapData layoutData = LayoutConstants.FILL();
 		layoutData.heightHint = 1000;
 		
 		browser.setLayoutData(layoutData);
